Haab Civil Day
POST /mayan/haab
POST
/mayan/haab
365-day civil calendar = 18 months × 20 days + 5-day Wayeb. Identifies if date falls in unlucky Wayeb period.
Authorizations
Section titled “Authorizations ”Code Samples
Section titled “ Code Samples ”curl -X POST https://api.astroway.info/v1/mayan/haab \ -H "X-Api-Key: aw_live_..." \ -H "Content-Type: application/json" \ -d '{ "date": "1990-06-15" }'const res = await fetch('https://api.astroway.info/v1/mayan/haab', { method: 'POST', headers: { 'X-Api-Key': process.env.ASTROWAY_API_KEY, 'Content-Type': 'application/json', }, body: JSON.stringify({ "date": "1990-06-15" }),});const { ok, data, error } = await res.json();if (!ok) throw new Error(error.message);console.log(data);import os, requests
r = requests.post( 'https://api.astroway.info/v1/mayan/haab', headers={'X-Api-Key': os.environ['ASTROWAY_API_KEY'], 'Content-Type': 'application/json'}, json={ 'date': "1990-06-15" },)result = r.json()if not result['ok']: raise RuntimeError(result['error']['message'])print(result['data'])<?phpuse GuzzleHttp\Client;
$client = new Client(['base_uri' => 'https://api.astroway.info/v1/']);$r = $client->post('mayan/haab', [ 'headers' => ['X-Api-Key' => getenv('ASTROWAY_API_KEY')], 'json' => [ 'date' => '1990-06-15', ],]);$result = json_decode($r->getBody(), true);if (!$result['ok']) throw new \RuntimeException($result['error']['message']);print_r($result['data']);Request Body required
Section titled “Request Body required ”object
Example
{ "date": "1990-06-15"}Responses
Section titled “ Responses ”Successful calculation
object
ok
boolean
Example
true data
object
haab
object
day
number
month
string
label
string
isWayeb
boolean
Example
{ "ok": true, "data": { "haab": { "day": 8, "month": "Sotz", "label": "8 Sotz", "isWayeb": false } }}Validation error
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }} Корисно?
Дякуємо за фідбек.